#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "tree.h"

typedef struct mynode {
	char *nome;
	int idade;
} MyNode;

int main(void) {
	Tree *t = NULL;
	MyNode *mn = NULL;
	WNode *wn;
	
	mn = (MyNode *) malloc(sizeof(MyNode));
	mn->nome = strdup("Manuel");
	mn->idade = 24;
	t = insert(t,24,(void *)mn);
	
	mn = (MyNode *) malloc(sizeof(MyNode));
	mn->nome = strdup("Maria");
	mn->idade = 18;
	t = insert(t,18,(void *)mn);

	mn = (MyNode *) malloc(sizeof(MyNode));
	mn->nome = strdup("Anonio");
	mn->idade = 26;
	t = insert(t,26,(void *)mn);

	mn = (MyNode *) malloc(sizeof(MyNode));
	mn->nome = strdup("Joaquina");
	mn->idade = 23;
	t = insert(t,23,(void *)mn);

	mn = (MyNode *) malloc(sizeof(MyNode));
	mn->nome = strdup("Jacinto");
	mn->idade = 25;
	t = insert(t,25,(void *)mn);
	
	mn=(MyNode *)search(t,23);

	if (mn == NULL)
		printf("Nao encontrou!\n");
	else
		printf("%s -> %d\n",mn->nome,mn->idade);

	wAnnotate(t);
	
	wn = (WNode *)search(t,23);
	
	printf("%d\n",wn->weight);
	printf("%s -> %d\n",((MyNode *) wn->data_ptr)->nome,((MyNode *) wn->data_ptr)->idade);
	
	exit(EXIT_SUCCESS);
}
